com.taosdata.jdbc.common

## Class ColumnInfo

- java.lang.Object
- - com.taosdata.jdbc.common.ColumnInfo

All Implemented Interfaces:
  Comparable<ColumnInfo>

    public class ColumnInfo
    extends Object
    implements Comparable<ColumnInfo>

### Constructor Summary

Constructors
Constructor and Description
`ColumnInfo(int columnIndex, List<Object> dataList, int type, Integer flag)`
`ColumnInfo(int columnIndex, Object data, int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(Object data)`
`int` `compareTo(ColumnInfo c)`
`List<Object>` `getDataList()`
`int` `getIndex()`
`int` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnInfo

    public ColumnInfo(int columnIndex,
                      Object data,
                      int type)

#### ColumnInfo

    public ColumnInfo(int columnIndex,
                      List<Object> dataList,
                      int type,
                      Integer flag)

### Method Detail

#### add

    public void add(Object data)

#### getDataList

    public List<Object> getDataList()

#### getType

    public int getType()

#### getIndex

    public int getIndex()

#### compareTo

    public int compareTo(ColumnInfo c)

Specified by:
  `compareTo` in interface `Comparable<ColumnInfo>`